Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-106923

traceback in ready_system_sync_keys

    XMLWordPrintable

    Details

      Description

      [2020/07/24 06:54:42] (ERROR) asyncio.default_exception_handler():1707 - Task exception was never retrieved
      future: <Task finished name='Task-328' coro=<ready_system_sync_keys() done, defined at /usr/local/lib/middlewared_truenas/plugins/failover.py:1704> exception=CallError('[ENOMETHOD] Method "sync_keys_to_remote_node" not found in "failover"', 201)>
      Traceback (most recent call last):
        File "/usr/local/lib/middlewared_truenas/plugins/failover_/remote.py", line 121, in call
          return self.client.call(*args, **kwargs)
        File "/usr/local/lib/python3.8/site-packages/middlewared/client/client.py", line 428, in call
          raise ClientException(c.error, c.errno, c.trace, c.extra)
      middlewared.client.client.ClientException: [ENOMETHOD] Method "sync_keys_to_remote_node" not found in "failover"
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/middlewared_truenas/plugins/failover.py", line 1706, in ready_system_sync_keys
          await middleware.call('failover.call_remote', 'failover.sync_keys_to_remote_node')
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1233, in call
          return await self._call(
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1202, in _call
          return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1106, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.8/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/middlewared_truenas/plugins/failover_/remote.py", line 213, in call_remote
          return self.CLIENT.call(method, *args, **options)
        File "/usr/local/lib/middlewared_truenas/plugins/failover_/remote.py", line 129, in call
          raise CallError(str(e), e.errno or errno.EFAULT)
      middlewared.service_exception.CallError: [ENOMETHOD] [ENOMETHOD] Method "sync_keys_to_remote_node" not found in "failover"

       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                caleb Caleb St. John
                Reporter:
                caleb Caleb St. John
                Watchers:
                Bug Clerk, Caleb St. John
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: